﻿@model IEnumerable<CompanyListModel>

@{
    ViewData["Title"] = "Index";
}

<div class="container-fluid" style="min-height: 500.8px;margin:0 !important;">
    <section class="">
        
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Manage Company</li>
        </ol>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h4 class="box-title">Company Listing</h4>
                        <div class="box-tools">
                            <div class="input-group input-group-sm" style="width: 150px;text-align:right;">
                                <a asp-controller="Company" asp-action="AddCompany"><i class="fa fa-plus-circle"></i><span>Add New</span></a>
                            </div>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="panel-body table-responsive">
                        @if (!string.IsNullOrEmpty(Convert.ToString(TempData["ErrorMessage"])))
                        {
                            <div class="alert alert-danger">  @TempData["ErrorMessage"]</div>
                            <script>
                                $(function () {
                                    setTimeout(function () { hideTarget(); }, 5000);
                                });
                                function hideTarget() {
                                    $(".alert").hide();
                                }
                            </script>
                        }
                        @if (!string.IsNullOrEmpty(Convert.ToString(TempData["SuccessMessage"])))
                        {
                            <div class="alert alert-success">  @TempData["SuccessMessage"]</div>
                            <script>
                                $(function () {
                                    setTimeout(function () { hideTarget(); }, 5000);
                                });
                                function hideTarget() {
                                    $(".alert").hide();
                                }
                            </script>
                        }
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>
                                        @Html.DisplayNameFor(model => model.CompanyId)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.CompanyName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.ContactName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.Address)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.Email)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.CreatedOn)
                                    </th>

                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model)
                                {
                                    <tr>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.CompanyId)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.CompanyName)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.ContactName)
                                        </td>
                                        <td>
                                            @if (item.Address.Length <= 15)
                                            {
                                                @Html.DisplayFor(modelItem => item.Address)
                                            }
                                            else
                                            {
                                                @string.Format("{0}{1}", @item.Address.Substring(0, 15), "...");
                                            }

                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.Email)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.CreatedOn)
                                        </td>
                                        <td>
                                            <a asp-action="Edit" asp-route-id="@item.CompanyId" class="fa fa-edit" title="Edit Company"></a>

                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
                <div>
                    @*<a asp-action="Index">Back to List</a>*@
                </div>
                <!-- /.box -->
            </div>
        </div>
    </section>
</div>

